#!/bin/sh
#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2011, 2016. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#
#  Upgrade Business Space Schema from V7.0 to V8.5
#

USER_PROPS=$*
CUR_DIR=`dirname ${0}`
cd "$CUR_DIR/../../bin"
. ./setupCmdLine.sh
SYS_PROPS=-Djava.util.logging.config.file=logging.properties
MY_CLASSPATH=$WAS_HOME/plugins/com.ibm.bspace.profilemigration_7.0.0.jar:$WAS_HOME/jdbcdrivers/DB2/db2jcc_license_cisuz.jar:$WAS_HOME/jdbcdrivers/DB2/db2jcc_license_cu.jar:$WAS_HOME/jdbcdrivers/DB2/db2jcc4.jar:$WAS_HOME/jdbcdrivers/Oracle/ojdbc6.jar:$WAS_HOME/jdbcdrivers/SQLServer/sqljdbc4.jar

echo Start to upgrade Business Space schema.
"$JAVA_HOME"/bin/java -classpath "$MY_CLASSPATH" $SYS_PROPS  com.ibm.bspace.profilemigration.common.UpgradeBSpaceSchema $WAS_HOME
if [ $? -gt 0 ]; 
  then
    echo Business Space schema upgrade ended with failures. Check trace file for details.
    exit 1
  else
    echo Business Space schema upgrading was completed. Check trace file for details.
	exit 0
fi




